0.88: Persons, Command line auth and event subscriptions


#81

yes i see this: the point I am making is that the link to documentation has not been updated accordingly by my understanding.
It is not mentioned KLF200 needs to be upgrade to 2-series firmware, link to “cover.velux docs” is the same of “velux docs”…etc…


#82

Hi
I’m using Samsung WiFi Kit(cassette air conditioner)
and i can control it via ST APP.
but HA-ST components cant load it.
can you help me?


#83

Hi there,

I seem to be having a Russound issue. When I upgrade to version 88 I loose access to my zones. This is the error I get

Error while setting up platform russound_rio
Traceback (most recent call last):
File “/usr/local/lib/python3.7/site-packages/homeassistant/helpers/entity_platform.py”, line 128, in _async_setup_platform
SLOW_SETUP_MAX_WAIT, loop=hass.loop)
File “/usr/local/lib/python3.7/asyncio/tasks.py”, line 416, in wait_for
return fut.result()
File “/usr/local/lib/python3.7/site-packages/homeassistant/components/media_player/russound_rio.py”, line 39, in async_setup_platform
from russound_rio import Russound
File “/usr/local/lib/python3.7/site-packages/russound_rio/init.py”, line 1, in
from .rio import (
File “/usr/local/lib/python3.7/site-packages/russound_rio/rio.py”, line 8
from asyncio import async as ensure_future
^
SyntaxError: invalid syntax


#84

What is wrong here?


#85

I believe this is the same error message reported in the following Issue (on GitHub). The solution is known and involves modifying the source code.


#86

I’m not sure. Is it that “Alarm Code” is in English and not translated into Russian?


#87

Actually, I am talking about number’s size


#88

I am now on 0.88.0 and getting an error with Whois component. Is anyone else getting this error?

Fri Feb 22 2019 11:51:02 GMT-0500 (Eastern Standard Time)
Error while setting up platform whois
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/sre_parse.py", line 1021, in parse_template
    this = chr(ESCAPES[this][1])
KeyError: '\\s'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/app/homeassistant/helpers/entity_platform.py", line 128, in _async_setup_platform
    SLOW_SETUP_MAX_WAIT, loop=hass.loop)
  File "/usr/local/lib/python3.7/asyncio/tasks.py", line 416, in wait_for
    return fut.result()
  File "/usr/local/lib/python3.7/concurrent/futures/thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/src/app/homeassistant/components/sensor/whois.py", line 40, in setup_platform
    from pythonwhois import get_whois
  File "/usr/local/lib/python3.7/site-packages/pythonwhois/__init__.py", line 1, in <module>
    from . import net, parse
  File "/usr/local/lib/python3.7/site-packages/pythonwhois/parse.py", line 363, in <module>
    registrant_regexes = [preprocess_regex(regex) for regex in registrant_regexes]
  File "/usr/local/lib/python3.7/site-packages/pythonwhois/parse.py", line 363, in <listcomp>
    registrant_regexes = [preprocess_regex(regex) for regex in registrant_regexes]
  File "/usr/local/lib/python3.7/site-packages/pythonwhois/parse.py", line 205, in preprocess_regex
    regex = re.sub(r"\\s\*\(\?P<([^>]+)>\.\+\)", r"\s*(?P<\1>\S.*)", regex)
  File "/usr/local/lib/python3.7/re.py", line 192, in sub
    return _compile(pattern, flags).sub(repl, string, count)
  File "/usr/local/lib/python3.7/re.py", line 309, in _subx
    template = _compile_repl(template, pattern)
  File "/usr/local/lib/python3.7/re.py", line 300, in _compile_repl
    return sre_parse.parse_template(repl, pattern)
  File "/usr/local/lib/python3.7/sre_parse.py", line 1024, in parse_template
    raise s.error('bad escape %s' % this, len(this))
re.error: bad escape \s at position 0

#89

Apparently there’s an updated version available. See this post:


#90

Ill echo what a few other posts have said. ZHA is completely broke with this release. Most of my lights stopped updating, my logs are full of errors, and the network is extremely unstable.

.88.1 is not available for docker yet so lets hope it fixes these issues.

Here are some example logs from a fresh start of Hass:

2019-02-22 11:30:22 ERROR (MainThread) [homeassistant.core] Error doing job: Task exception was never retrieved

Traceback (most recent call last):
File “/usr/local/lib/python3.7/site-packages/bellows/zigbee/application.py”, line 238, in request
raise DeliveryError(“Message send failure %s” % (v[0], ))
zigpy.exceptions.DeliveryError: Message send failure EmberStatus.MAX_MESSAGE_LIMIT_REACHED
2019-02-22 11:30:23 WARNING (MainThread) [bellows.zigbee.application] Unexpected response TSN=5 command=1 args=[[]]
2019-02-22 11:30:23 WARNING (MainThread) [bellows.zigbee.application] Unexpected response TSN=6 command=1 args=[[]]
2019-02-22 11:30:24 WARNING (MainThread) [bellows.zigbee.application] Unexpected response TSN=2 command=1 args=[[]]
2019-02-22 11:30:24 WARNING (MainThread) [bellows.zigbee.application] Unexpected response TSN=5 command=1 args=[[]]
2019-02-22 11:30:24 WARNING (MainThread) [bellows.zigbee.application] Unexpected response TSN=6 command=1 args=[[]]
2019-02-22 11:30:24 WARNING (MainThread) [bellows.zigbee.application] Unexpected response TSN=7 command=1 args=[[]]
2019-02-22 11:30:25 WARNING (MainThread) [bellows.zigbee.application] Unexpected response TSN=5 command=1 args=[[]]
2019-02-22 11:30:25 WARNING (MainThread) [bellows.zigbee.application] Unexpected response TSN=6 command=1 args=[[]]
2019-02-22 11:30:25 WARNING (MainThread) [bellows.zigbee.application] Unexpected response TSN=7 command=1 args=[[]]
2019-02-22 11:30:26 WARNING (MainThread) [bellows.zigbee.application] Unexpected response TSN=5 command=1 args=[[]]
2019-02-22 11:30:26 WARNING (MainThread) [bellows.zigbee.application] Unexpected response TSN=6 command=1 args=[[]]
2019-02-22 11:30:26 WARNING (MainThread) [bellows.zigbee.application] Unexpected response TSN=31 command=1 args=[[]]
2019-02-22 11:30:26 WARNING (MainThread) [bellows.zigbee.application] Unexpected response TSN=7 command=1 args=[[]]
2019-02-22 11:30:26 WARNING (MainThread) [bellows.zigbee.application] Unexpected response TSN=32 command=1 args=[[]]
2019-02-22 11:30:26 WARNING (MainThread) [bellows.zigbee.application] Unexpected response TSN=5 command=1 args=[[]]
2019-02-22 11:30:26 WARNING (MainThread) [bellows.zigbee.application] Unexpected response TSN=6 command=1 args=[[]]
2019-02-22 11:30:26 WARNING (MainThread) [bellows.zigbee.application] Unexpected response TSN=7 command=1 args=[[]]
2019-02-22 11:30:28 WARNING (MainThread) [bellows.zigbee.application] Unexpected response TSN=31 command=1 args=[[]]
2019-02-22 11:30:28 WARNING (MainThread) [bellows.zigbee.application] Unexpected response TSN=32 command=1 args=[[]]
2019-02-22 11:30:28 WARNING (MainThread) [bellows.zigbee.application] Unexpected response TSN=33 command=1 args=[[]]
2019-02-22 11:30:28 WARNING (MainThread) [bellows.zigbee.application] Unexpected response TSN=34 command=1 args=[[]]
2019-02-22 11:30:30 WARNING (MainThread) [homeassistant.components.camera] Setup of platform ring is taking over 10 seconds.
2019-02-22 11:30:53 WARNING (MainThread) [bellows.zigbee.application] Unexpected response TSN=37 command=1 args=[[]]


#91

Yes.

(Amongst plenty of other utterly indecipherable rubbish and messages that is impossible to tie down to anything I can actually identify or do anything about:

"platform": "mqtt_json" is deprecated, replace with "schema":"json"
and
Your configuration contains extra keys that the platform does not support.
Please remove [flash]."
for example. What platform? Nowhere can I find “flash” in any of my files. )


#92

Similarly I have

Your configuration contains extra keys that the platform does not support (but were silently accepted before 0.88). Please find and remove the following.This will become a breaking change.

  • [device].

I can’t track this down.


#93

Hi 0.88.1 still has the ssl/KRB5_s_INIT issue

2019-02-23 08:10:49 ERROR (MainThread) [homeassistant.core] Error doing job: SSL error errno:1 reason: KRB5_S_INIT
Traceback (most recent call last):
  File "uvloop/sslproto.pyx", line 504, in uvloop.loop.SSLProtocol.data_received
  File "uvloop/sslproto.pyx", line 204, in uvloop.loop._SSLPipe.feed_ssldata
  File "uvloop/sslproto.pyx", line 189, in uvloop.loop._SSLPipe.feed_ssldata
  File "/usr/local/lib/python3.7/ssl.py", line 767, in unwrap
    return self._sslobj.shutdown()
ssl.SSLError: [SSL: KRB5_S_INIT] application data after close notify (_ssl.c:2605)
2019-02-23 08:11:21 ERROR (MainThread) [homeassistant.core] Error doing job: SSL error errno:1 reason: KRB5_S_INIT
Traceback (most recent call last):
  File "uvloop/sslproto.pyx", line 504, in uvloop.loop.SSLProtocol.data_received
  File "uvloop/sslproto.pyx", line 204, in uvloop.loop._SSLPipe.feed_ssldata
  File "uvloop/sslproto.pyx", line 189, in uvloop.loop._SSLPipe.feed_ssldata
  File "/usr/local/lib/python3.7/ssl.py", line 767, in unwrap
    return self._sslobj.shutdown()
ssl.SSLError: [SSL: KRB5_S_INIT] application data after close notify (_ssl.c:2605)

#94

Thank you. I will revert back until they fix that. Thanks for that information


#95

There’s some particular reason why 88.1 is not present on docker hub?


#96

look at any of your mqtt components, this one has been around for a number of releases so you need to change the mqtt configs


#97

Whats up with the docker releases? For the past 1-2 months all of the 86.1, 87.1 and 88.1 etc is not updated before days after relase? The main release is ok with a few hours behind but the 0.1 releases are not updatet before days later. If we have a bug that is fixed in the 0.1 release its a long wait :slight_smile:


#98

I’m getting this extra keys warning for the iTach remote component but my configuration matches the example configuration and does not contain any unsupported keys:

Your configuration contains extra keys that the platform does not support.
Please remove [name].  (See /config/remotes.yaml, line 0). 

My remotes.yaml config:

- platform: itach
  name: Cinema
  host: 10.1.1.19
  devices:
    - name: Cinema Amp
      modaddr: 1
      connaddr: 1
      commands:
        - name: "ON"
          data: "0000 006A 0000 0024 0154 00B3 0016 0016 0016 0041 0016 0016 0016 0041 0016 0041 0016 0041 0016 0041 0016 0016 0016 0041 0016 0016 0016 0041 0016 0016 0016 0016 0016 0016 0016 0016 0016 0041 0016 0041 0016 0016 0016 0041 0016 0041 0016 0041 0016 0016 0016 0016 0016 0016 0016 0016 0016 0041 0016 0016 0016 0016 0016 0016 0016 0041 0016 0041 0016 0041 0016 0600 0154 0055 0016 0F18"
        - name: "OFF"
          data: "0000 006A 0000 0026 015D 00B5 0016 0016 0016 0042 0016 0016 0016 0042 0016 0042 0016 0042 0016 0042 0016 0016 0016 0042 0016 0016 0016 0042 0016 0016 0016 0016 0016 0016 0016 0016 0016 0042 0016 0016 0016 0042 0016 0042 0016 0042 0016 0042 0016 0016 0016 0016 0016 0016 0016 0042 0016 0016 0016 0016 0016 0016 0016 0016 0016 0042 0016 0042 0016 0042 0016 060B 015D 0056 0016 0EA3 015D 0055 0016 00B5"
        - name: "Dolby" # Dolby DSP
          data: "0000 006A 0000 0026 0154 00B4 0016 0016 0016 0041 0016 0016 0016 0041 0016 0041 0016 0041 0016 0041 0016 0016 0016 0041 0016 0016 0016 0041 0016 0016 0016 0016 0016 0016 0016 0016 0016 0041 0016 0016 0016 0016 0016 0016 0016 0016 0016 0041 0016 0016 0016 0016 0016 0041 0016 0041 0016 0041 0016 0041 0016 0041 0016 0016 0016 0041 0016 0041 0016 0016 0016 0600 0154 0055 0016 0E7D 0154 0055 0016 0F18"

etc…

Example config from here: https://www.home-assistant.io/components/remote.itach/

# Example configuration.yaml entry
remote:
  - platform: itach
    name: Living Room
    host: itach023fdc
    devices:
      - name: TV
        connaddr: 2
        commands:
          - name: "ON"
            data: "0000 006D 0000 0022 00AC 00AC 0015 0040 0015 0040 0015 0040 0015 0015 0015 0015 0015 0015 0015 0015 0015 0015 0015 0040 0015 0040 0015 0040 0015 0015 0015 0015 0015 0015 0015 0015 0015 0015 0015 0040 0015 0015 0015 0015 0015 0040 0015 0040 0015 0015 0015 0015 0015 0040 0015 0015 0015 0040 0015 0040 0015 0015 0015 0015 0015 0040 0015 0040 0015 0015 0015 0689"

I’ll open an issue.

Edit: or maybe I wont: https://github.com/home-assistant/home-assistant/issues/21300

Docs just need updating.


#99

Any one else getting periodic crashes?

Assistant
   Loaded: loaded (/etc/systemd/system/[email protected]; enabled; 
   Active: failed (Result: signal) since Fri 2019-02-22 18:39:39 GMT; 6h ago
  Process: 26248 ExecStart=/home/rob/homeassistant/bin/hass -c /home/rob/.ho
 Main PID: 26248 (code=killed, signal=KILL)

Feb 22 18:39:12 squeezeserver hass[26248]:                                  
Feb 22 18:39:13 squeezeserver hass[26248]: [158B blob data]
Feb 22 18:39:15 squeezeserver hass[26248]:   % Total    % Received % Xferd  
Feb 22 18:39:15 squeezeserver hass[26248]:                                  
Feb 22 18:39:15 squeezeserver hass[26248]: [158B blob data]
Feb 22 18:39:21 squeezeserver hass[26248]:   % Total    % Received % Xferd  
Feb 22 18:39:21 squeezeserver hass[26248]:                                  
Feb 22 18:39:21 squeezeserver hass[26248]: [158B blob data]
Feb 22 18:39:39 squeezeserver systemd[1]: [email protected]: Main p
Feb 22 18:39:39 squeezeserver systemd[1]: [email protected]: Failed

#101

I get these warnings in my log 2019-02-21 22:30:00 WARNING (MainThread) [homeassistant.helpers.service] Not passing an entity ID to a service to target all entities is deprecated. Update your call to lock.lock to be instead: entity_id: all 2019-02-21 22:30:00 WARNING (MainThread) [homeassistant.helpers.service] Not passing an entity ID to a service to target all entities is deprecated. Update your call to light.turn_off to be instead: entity_id: all 2019-02-21 22:30:00 WARNING (MainThread) [homeassistant.helpers.service] Not passing an entity ID to a service to target all entities is deprecated. Update your call to switch.turn_off to be instead: entity_id: all

so I do as it says and add the entity_id: all and it breaks my script so I remove it and live with the warning as my script works the way I want it to

so I understand why people get fustrated when they decide to break something that is working as the so called fix breaks it